| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Functions
Sensor.h File Reference

Defines types related to sensors, used for obtaining stream configurations, opening and closing streams, and setting and getting sensor properties. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_sensor_type | ob_sensor_get_type (ob_sensor *sensor, ob_error **error)
| Get the type of the sensor.
ob_stream_profile_list * | ob_sensor_get_stream_profile_list (ob_sensor *sensor, ob_error **error)
| Get a list of all supported stream profiles.
ob_filter_list * | ob_sensor_get_recommended_filter_list (ob_sensor *sensor, ob_error **error)
| Request the list of recommended filter list.
uint32_t | ob_filter_list_get_count (ob_filter_list *filter_list, ob_error **error)
| Get the number of recommended filter list.
ob_filter * | ob_get_filter (ob_filter_list *filter_list, uint32_t index, ob_error **error)
| Get the number of recommended filter list.
const char * | ob_get_filter_name (ob_filter *filter, ob_error **error)
| Get the name of ob_filter.
void | ob_delete_filter_list (ob_filter_list *filter_list, ob_error **error)
| Delete a list of ob_filter objects.
void | ob_sensor_start (ob_sensor *sensor, ob_stream_profile *profile, ob_frame_callback callback, void *user_data, ob_error **error)
| Open the current sensor and set the callback data frame.
void | ob_sensor_stop (ob_sensor *sensor, ob_error **error)
| Stop the sensor stream.
void | ob_sensor_switch_profile (ob_sensor *sensor, ob_stream_profile *profile, ob_error **error)
| Dynamically switch resolutions.
void | ob_delete_sensor_list (ob_sensor_list *sensor_list, ob_error **error)
| Delete a list of sensor objects.
uint32_t | ob_sensor_list_get_sensor_count (ob_sensor_list *sensor_list, ob_error **error)
| Get the number of sensors in the sensor list.
ob_sensor_type | ob_sensor_list_get_sensor_type (ob_sensor_list *sensor_list, uint32_t index, ob_error **error)
| Get the sensor type.
ob_sensor * | ob_sensor_list_get_sensor_by_type (ob_sensor_list *sensor_list, ob_sensor_type sensorType, ob_error **error)
| Get a sensor by sensor type.
ob_sensor * | ob_sensor_list_get_sensor (ob_sensor_list *sensor_list, uint32_t index, ob_error **error)
| Get a sensor by index number.
void | ob_delete_sensor (ob_sensor *sensor, ob_error **error)
| Delete a sensor object.

## Detailed Description

Defines types related to sensors, used for obtaining stream configurations, opening and closing streams, and setting and getting sensor properties.

Definition in file Sensor.h.

## Function Documentation

## ◆ ob_sensor_get_type()

ob_sensor_type ob_sensor_get_type | ( | ob_sensor * | sensor,
|  | ob_error ** | error
| ) |  |

Get the type of the sensor.

Parameters

  [in] | sensor | The sensor object.
  [out] | error | Logs error messages.

Returns
  The sensor type.

## ◆ ob_sensor_get_stream_profile_list()

ob_stream_profile_list * ob_sensor_get_stream_profile_list | ( | ob_sensor * | sensor,
|  | ob_error ** | error
| ) |  |

Get a list of all supported stream profiles.

Parameters

  [in] | sensor | The sensor object.
  [out] | error | Logs error messages.

Returns
  A list of stream profiles.

## ◆ ob_sensor_get_recommended_filter_list()

ob_filter_list * ob_sensor_get_recommended_filter_list | ( | ob_sensor * | sensor,
|  | ob_error ** | error
| ) |  |

Request the list of recommended filter list.

Parameters

  [in] | sensor | The ob_sensor object.
  [out] | error | Log error messages.

Returns
  ob_filter_list

## ◆ ob_filter_list_get_count()

uint32_t ob_filter_list_get_count | ( | ob_filter_list * | filter_list,
|  | ob_error ** | error
| ) |  |

Get the number of recommended filter list.

Parameters

  filter_list | Recommended filter list
  error | Log error messages

Returns
  uint32_t The number of list

## ◆ ob_get_filter()

ob_filter * ob_get_filter | ( | ob_filter_list * | filter_list,
|  | uint32_t | index,
|  | ob_error ** | error
| ) |  |

Get the number of recommended filter list.

Parameters

  filter_list | Recommended filter list
  index | Recommended filter index
  error | Log error messages

Returns
  ob_filter The index of ob_filter

## ◆ ob_get_filter_name()

const char * ob_get_filter_name | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Get the name of ob_filter.

Parameters

  filter | ob_filter object
  error | Log error messages

Returns
  char The filter of name

## ◆ ob_delete_filter_list()

void ob_delete_filter_list | ( | ob_filter_list * | filter_list,
|  | ob_error ** | error
| ) |  |

Delete a list of ob_filter objects.

Parameters

  [in] | filter_list | The list of ob_filter objects to delete.
  [out] | error | Logs error messages.

## ◆ ob_sensor_start()

void ob_sensor_start | ( | ob_sensor * | sensor,
|  | ob_stream_profile * | profile,
|  | ob_frame_callback | callback,
|  | void * | user_data,
|  | ob_error ** | error
| ) |  |

Open the current sensor and set the callback data frame.

Parameters

  [in] | sensor | The sensor object.
  [in] | profile | The stream configuration information.
  [in] | callback | The callback function triggered when frame data arrives.
  [in] | user_data | Any user data to pass in and get from the callback.
  [out] | error | Logs error messages.

## ◆ ob_sensor_stop()

void ob_sensor_stop | ( | ob_sensor * | sensor,
|  | ob_error ** | error
| ) |  |

Stop the sensor stream.

Parameters

  [in] | sensor | The sensor object.
  [out] | error | Logs error messages.

## ◆ ob_sensor_switch_profile()

void ob_sensor_switch_profile | ( | ob_sensor * | sensor,
|  | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Dynamically switch resolutions.

Parameters

  [in] | sensor | The sensor object.
  [in] | profile | The stream configuration information.
  [out] | error | Logs error messages.

## ◆ ob_delete_sensor_list()

void ob_delete_sensor_list | ( | ob_sensor_list * | sensor_list,
|  | ob_error ** | error
| ) |  |

Delete a list of sensor objects.

Parameters

  [in] | sensor_list | The list of sensor objects to delete.
  [out] | error | Logs error messages.

## ◆ ob_sensor_list_get_sensor_count()

uint32_t ob_sensor_list_get_sensor_count | ( | ob_sensor_list * | sensor_list,
|  | ob_error ** | error
| ) |  |

Get the number of sensors in the sensor list.

Parameters

  [in] | sensor_list | The list of sensor objects.
  [out] | error | Logs error messages.

Returns
  The number of sensors in the list.

## ◆ ob_sensor_list_get_sensor_type()

ob_sensor_type ob_sensor_list_get_sensor_type | ( | ob_sensor_list * | sensor_list,
|  | uint32_t | index,
|  | ob_error ** | error
| ) |  |

Get the sensor type.

Parameters

  [in] | sensor_list | The list of sensor objects.
  [in] | index | The index of the sensor on the list.
  [out] | error | Logs error messages.

Returns
  The sensor type.

## ◆ ob_sensor_list_get_sensor_by_type()

ob_sensor * ob_sensor_list_get_sensor_by_type | ( | ob_sensor_list * | sensor_list,
|  | ob_sensor_type | sensorType,
|  | ob_error ** | error
| ) |  |

Get a sensor by sensor type.

Parameters

  [in] | sensor_list | The list of sensor objects.
  [in] | sensorType | The sensor type to be obtained.
  [out] | error | Logs error messages.

Returns
  The sensor pointer. If the specified type of sensor does not exist, it will return null.

## ◆ ob_sensor_list_get_sensor()

ob_sensor * ob_sensor_list_get_sensor | ( | ob_sensor_list * | sensor_list,
|  | uint32_t | index,
|  | ob_error ** | error
| ) |  |

Get a sensor by index number.

Parameters

  [in] | sensor_list | The list of sensor objects.
  [in] | index | The index of the sensor on the list.
  [out] | error | Logs error messages.

Returns
  The sensor object.

## ◆ ob_delete_sensor()

void ob_delete_sensor | ( | ob_sensor * | sensor,
|  | ob_error ** | error
| ) |  |

Delete a sensor object.

Parameters

  [in] | sensor | The sensor object to delete.
  [out] | error | Logs error messages.